//Generated by wsdl2apex

public class SAPPm {
    public class EMPLOYEE_ASSIGNMENT_element {
        public String USRID;
        public String VORNA;
        public String NACHN;
        private String[] USRID_type_info = new String[]{'USRID','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] VORNA_type_info = new String[]{'VORNA','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] NACHN_type_info = new String[]{'NACHN','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskyenergy.ca/sap/pm','false','false'};
        private String[] field_order_type_info = new String[]{'USRID','VORNA','NACHN'};
    }
    public class DT_ECC_ALM_ORDER_HEADER {
        public String AUFNR;
        public String KTEXT;
        public String AUART;
        public String TPLNR;
        public String EQUNR;
        public String LTRMN;
        public String GSTRP;
        public String GSUZP;
        public String GLUZP;
        public String GLTRP;
        public String PRIOK;
        public String VAPLZ;
        public String INGRP;
        public String QMART;
        public String QMNUM;
        public String STTXT;
        public String USTXT;
        public String BEBER;
        public String ANLZU;
        public String ILART;
        public String NAME_LIST;
        public String PSPEL;
        private String[] AUFNR_type_info = new String[]{'AUFNR','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] KTEXT_type_info = new String[]{'KTEXT','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] AUART_type_info = new String[]{'AUART','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] TPLNR_type_info = new String[]{'TPLNR','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] EQUNR_type_info = new String[]{'EQUNR','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] LTRMN_type_info = new String[]{'LTRMN','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] GSTRP_type_info = new String[]{'GSTRP','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] GSUZP_type_info = new String[]{'GSUZP','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] GLUZP_type_info = new String[]{'GLUZP','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] GLTRP_type_info = new String[]{'GLTRP','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] PRIOK_type_info = new String[]{'PRIOK','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] VAPLZ_type_info = new String[]{'VAPLZ','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] INGRP_type_info = new String[]{'INGRP','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] QMART_type_info = new String[]{'QMART','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] QMNUM_type_info = new String[]{'QMNUM','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] STTXT_type_info = new String[]{'STTXT','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] USTXT_type_info = new String[]{'USTXT','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] BEBER_type_info = new String[]{'BEBER','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] ANLZU_type_info = new String[]{'ANLZU','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] ILART_type_info = new String[]{'ILART','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] NAME_LIST_type_info = new String[]{'NAME_LIST','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] PSPEL_type_info = new String[]{'PSPEL','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskyenergy.ca/sap/pm','false','false'};
        private String[] field_order_type_info = new String[]{'AUFNR','KTEXT','AUART','TPLNR','EQUNR','LTRMN','GSTRP','GSUZP','GLUZP','GLTRP','PRIOK','VAPLZ','INGRP','QMART','QMNUM','STTXT','USTXT','BEBER','ANLZU','ILART','NAME_LIST','PSPEL'};
    }
    public class DT_ECC_ALM_ORDER_OPERATION {
        public String VORNR;
        public String UVORN;
        public String GEWRK;
        public String LTXA1;
        public String ANZZL;
        public String DAUNO;
        public String DAUNE;
        public String ARBEI;
        public String ARBEH;
        public String FSAVZ;
        public String FSSBD;
        public String FSEDD;
        public String FSEDZ;
        public String TPLNR;
        public String EQUNR;
        public String ANLZU;
        public String STTXT;
        public String USTXT;
        public String WEMPF;
        public String ABLAD;
        public SAPPm.EMPLOYEE_ASSIGNMENT_element[] EMPLOYEE_ASSIGNMENT;
        private String[] VORNR_type_info = new String[]{'VORNR','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] UVORN_type_info = new String[]{'UVORN','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] GEWRK_type_info = new String[]{'GEWRK','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] LTXA1_type_info = new String[]{'LTXA1','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] ANZZL_type_info = new String[]{'ANZZL','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] DAUNO_type_info = new String[]{'DAUNO','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] DAUNE_type_info = new String[]{'DAUNE','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] ARBEI_type_info = new String[]{'ARBEI','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] ARBEH_type_info = new String[]{'ARBEH','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] FSAVZ_type_info = new String[]{'FSAVZ','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] FSSBD_type_info = new String[]{'FSSBD','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] FSEDD_type_info = new String[]{'FSEDD','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] FSEDZ_type_info = new String[]{'FSEDZ','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] TPLNR_type_info = new String[]{'TPLNR','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] EQUNR_type_info = new String[]{'EQUNR','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] ANLZU_type_info = new String[]{'ANLZU','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] STTXT_type_info = new String[]{'STTXT','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] USTXT_type_info = new String[]{'USTXT','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] WEMPF_type_info = new String[]{'WEMPF','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] ABLAD_type_info = new String[]{'ABLAD','http://huskyenergy.ca/sap/pm',null,'0','1','false'};
        private String[] EMPLOYEE_ASSIGNMENT_type_info = new String[]{'EMPLOYEE_ASSIGNMENT','http://huskyenergy.ca/sap/pm',null,'0','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskyenergy.ca/sap/pm','false','false'};
        private String[] field_order_type_info = new String[]{'VORNR','UVORN','GEWRK','LTXA1','ANZZL','DAUNO','DAUNE','ARBEI','ARBEH','FSAVZ','FSSBD','FSEDD','FSEDZ','TPLNR','EQUNR','ANLZU','STTXT','USTXT','WEMPF','ABLAD','EMPLOYEE_ASSIGNMENT'};
    }
    public class DT_ECC_ALM_ORDER {
        public SAPPm.DT_ECC_ALM_ORDER_HEADER Order_Header;
        public SAPPm.DT_ECC_ALM_ORDER_OPERATION[] Order_Operation;
        private String[] Order_Header_type_info = new String[]{'Order_Header','http://huskyenergy.ca/sap/pm',null,'1','1','false'};
        private String[] Order_Operation_type_info = new String[]{'Order_Operation','http://huskyenergy.ca/sap/pm',null,'0','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskyenergy.ca/sap/pm','false','false'};
        private String[] field_order_type_info = new String[]{'Order_Header','Order_Operation'};
    }
}